From: <a href="/blend/av.cgi?id=1187">stack</a><BR>
Date: 17 May 2004<P>

Wow, Misti. [2004.05.16.18.04.13087] is very good. Raw and real. This bit: "I hide things from you. I will hide more things from you. I will give less and expect less in return. I feel cheap and cheated." How bitingly accurate. Brave of you to state things so bluntly, to put your pain out there.<BR>
<BR>
Take what comfort you can from the fact that it is well-written, at the least.
<HR>
From: <a href="/blend/av.cgi?id=1187">stack</a><BR>
Date: 17 May 2004<P>

Wow, Misti. [2004.05.16.18.04.13087] is very good. Raw and real. This bit: "I hide things from you. I will hide more things from you. I will give less and expect less in return. I feel cheap and cheated." How bitingly accurate. Brave of you to state things so bluntly, to put your pain out there.<BR>
<BR>
Take what comfort you can from the fact that it is well-written, at the least.
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 17 May 2004<P>

<a href="/blend/wv.cgi?id=2004.05.17.13.42.22415">Unmasked</a> thanks, stack...i was just about to comment on your poem when i read your comment on the Board regarding my latest! thank you.
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 17 May 2004<P>

Go to www.google.com, type "mass destruction", then hit the "I'm Feeling Lucky" button...then read the error message....yeah, I hope others have as warped sense of humor as me!
<HR>
From: <a href="/blend/av.cgi?id=985">elocution</a><BR>
Date: 17 May 2004<P>

I know I have been quiet lately, but been busy.  Just want to say my hats off to the great state of Mass!!!!  And thank Kirk for the countdown!<BR>
We will only be a world of peace when all people are equal!!!<BR>

<HR>
From: <a href="/blend/av.cgi?id=205">Violet</a><BR>
Date: 17 May 2004<P>

Wolfscreamer~ Thank you. I am touched.  ~Vi
<HR>